#include "CompileNotValidated.h"
#include "CompileNotValidatedImpl.h"

ExprComponent* CompileNotValidated::CompileNotValidedExprOnce(CompileProcess& compileProcess) {
	CompileNotValidatedImpl impl;
	return impl.CompileNotValidedExprOnce(compileProcess);
}

FunctionDefinitionComponent* CompileNotValidated::CompileNotValidedFunctionOnce(CompileProcess& compileProcess) {
	CompileNotValidatedImpl impl;
	return impl.CompileNotValidedFunctionOnce(compileProcess);
}

StatementComponent* CompileNotValidated::CompileNotValidedStatementOnce(CompileProcess& compileProcess) {
	CompileNotValidatedImpl impl;
	return impl.CompileNotValidedStatementOnce(compileProcess);
}

ClassDefinitionComponent* CompileNotValidated::CompileNotValidedClassOnce(CompileProcess& compileProcess) {
	CompileNotValidatedImpl impl;
	return impl.CompileNotValidedClassOnce(compileProcess);

}

ModuleComponent* CompileNotValidated::CompileNotValidatedModule(CompileProcess& compileProcess) {
	CompileNotValidatedImpl impl;
	return impl.CompileNotValidatedModule(compileProcess);
}
