#pragma once

#include <vector>
#include <string>

#include "Components/PathConfig/PathConfig.h"
#include "Components/ErrorBuffer/ErrorBuffer.h"

class Tokenizer;

class CompileProcess
{
public:
	inline CompileProcess() {

	}
	inline CompileProcess(const std::u8string & filePath_, const PathConfig& pathConfig_) :
		filePath(filePath_),
		pathConfig(pathConfig_) {

	}
	std::u8string filePath;
	PathConfig pathConfig;
	Tokenizer* tokenizer = nullptr;
};