#pragma once

#include <string>
#include <vector>

class PathConfig
{
public:
	bool AddDir(const std::u8string& file_path);
	std::u8string searchPackage(const std::vector<std::u32string>& pt);
	static std::u8string ResolvePackageRootPath(const std::vector<std::u32string> pt, const std::u8string& file_path);
	static std::u32string loadFileContent(const std::u8string& file_path); 
	static bool checkPackage(const std::vector<std::u32string>& pt, const std::u8string& file_path);
public:
	std::vector<std::u8string> SearchDirs;
};