#pragma once

#include "Components/CompileProcess/CompileProcess.h"

class ExprComponent;
class StatementComponent;
class FunctionDefinitionComponent;
class ClassDefinitionComponent;
class ModuleComponent;

class CompileNotValidated
{
public:
	ExprComponent* CompileNotValidedExprOnce(CompileProcess& compileProcess);
	StatementComponent* CompileNotValidedStatementOnce(CompileProcess& compileProcess);
	FunctionDefinitionComponent* CompileNotValidedFunctionOnce(CompileProcess& compileProcess);
	ClassDefinitionComponent* CompileNotValidedClassOnce(CompileProcess& compileProcess);
	ModuleComponent* CompileNotValidatedModule(CompileProcess& compileProcess);
};