#pragma once

#include <string>
#include <vector>
#include <map>

class ModuleComponent;

class ModuleCache
{
public:
	ModuleComponent* queryModuleCache(const std::u8string& path);
	bool updateModuleCache(const std::u8string& path, ModuleComponent* mod);
	
private:
	std::map<std::u8string, ModuleComponent*> cache;
};
